---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: photos-ingress-route
  namespace: photoprism
spec:
  entryPoints:
    - web
  routes:
  - match: (Host(`photo.dezendorf.net`)||Host(`photos.dezendorf.net`))
    kind: Rule
    middlewares:
    - name: redirecthttps
    services:
    - name: photoprism-service
      port: 2342
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: photos-websecure-route
  namespace: photoprism
spec:
  entryPoints:
    - websecure
  routes:
  - match: (Host(`photo.dezendorf.net`)||Host(`photos.dezendorf.net`))
    kind: Rule
    services:
    - name: photoprism-service
      port: 2342
  tls:
    certResolver: myresolver
